# OpenCA RPM File
# (c) 2006-2007 by Massimiliano Pala and OpenCA Team
# OpenCA Licensed Software

# %define _unpackaged_files_terminate_build 0
# %define _missing_doc_files_terminate_build 0

# %_topdir /tmp/libpki-%{ver}-root/rpmbuild
# %_rpmtopdir %{_topdir}/%{name}
# %_builddir %{_rpmtopdir}/BUILD
# %_rpmdir %{_rpmtopdir}
# %_sourcedir %{_rpmtopdir}
# %_specdir %{_rpmtopdir}
# %_srcrpmdir %{_rpmtopdir}
# %_tmppath %{_rpmtopdir}/TMP

# %{_tmppath}/%{name}-root
# %define __find_requires %{nil}

# %define _unpackaged_files_terminate_build 0
# %define _missing_doc_files_terminate_build 0

# Basic Definitions
%define nobody    nobody
%define nogroup   nobody

%define dist centos
%define disttag el

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2> /dev/null | tr . : | sed s/://g`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

%define ver      	0.8.0
%define RELEASE 	1
%define rel     	%{?CUSTOM_RELEASE}%{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   	/usr
%define mand		/usr/share/man
%define openssl_req 	0.9.8
%define openldap_req 	2.2

%define working_release %rel.%{disttag}%{distver}

Summary: OpenCA PKI development library
Name: libpki
Version: %ver
# Release: %rel.%{disttag}%{distver}
Release: %{working_release}
License: OpenCA License (BSD Style)
Group: Security/PKI
Source: libpki-%{ver}.tar.gz
Vendor: OpenCA Labs
BuildRoot: /tmp/libpki-%{ver}-root
URL: http://www.openca.org/projects/libpki
#Docdir: %{prefix}/share
Prefix: %{prefix}
Requires: openssl >= %openssl_req libxml2
BuildRequires: openldap-devel, libxml2-devel, openssl-devel >= %openssl_req

%description
OpenCA Labs' Easy to use PKI library.

%package devel
Summary: Development tools for LibPKI applications
Group: Security/PKI
Requires: libpki >= %ver

%description devel
Includes and documentation for developing applications by using
LibPKI.

%prep
%setup

%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix="%{prefix}" --mandir="%{mand}"
fi

DESTDIR="$RPM_BUILD_ROOT" CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix="%{prefix}" --mandir="%{mand}"

%build

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

make man

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" prefix="%{prefix}" mandir="$RPM_BUILD_ROOT%{mand}" install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

# %doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/pki-*
%{prefix}/bin/url-*
%{prefix}/lib64/libpki*
%{prefix}/lib64/pkgconfig/libpki*
%{prefix}/etc/libpki/*
%{prefix}/etc/pki.conf

%files devel
%defattr(-, root, root)
%{prefix}/bin/libpki-config
%{prefix}/include/*
%{prefix}/share/*

%post

%postun


%changelog
